Bug 185304 - /usr/bin/pygrub broken
/usr/bin/pygrub broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Rik van Riel
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 10:40 EST by Andrew Puch
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 17:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Puch 2006-03-13 10:40:26 EST
Description of problem:
rawhide /usr/bin/pygrub is broken, I think a system lib changed thus causing
pygrub to stop working. The file /usr/bin/pygrub did not change from fc5-t3 to
rawhide. 

Version-Release number of selected component (if applicable):
Name        : xen                          Relocations: (not relocatable)
Version     : 3.0.1                             Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Thu 09 Mar 2006 12:20:59
AM EST


How reproducible:
always. 

Steps to Reproduce:
1. install rawhide , and then install a pygrub guest. 
2. then install a pygrub guest.

  
Actual results:

xm create fc5-vm1 -c
Using config file "/etc/xen/fc5-vm1".
Traceback (most recent call last):
  File "/usr/bin/pygrub", line 256, in ?
    cf = get_config(file, isconfig)
  File "/usr/bin/pygrub", line 139, in get_config
    raise RuntimeError, "Unable to read filesystem"
RuntimeError: Unable to read filesystem
Error: Boot loader didn't return any data!


Expected results:
to see a pygrub prompt. 

Additional info:

Now if you install fc5-test3 and hand upgraded the xen package and the xen
kernel it works. So there is some delta from fc5-t3 to rawhide.
Comment 2 Jeremy Katz 2006-03-13 13:29:10 EST
This just worked for me on a fresh rawhide install with a rawhide domU and a
test3 domU. 

Did your install successfully complete?  If not, then there's not going to be
anything on the disk for pygrub to work with. 
Comment 3 Stephen Tweedie 2006-03-13 16:27:19 EST
Also, are you running SELinux, and if so, are you getting any AVC denials in the
attempt to access the device?
Comment 4 Andrew Puch 2006-03-13 17:21:07 EST
it might be that I did an yum update from fc5-test3 that are not working. I wish
xen would allow better serial console access. 

I copied the same vm from 10.10.34.214 to 10.10.34.215. 

Selinux is disabled. 

if could be the my 10.10.34.215 host is the upgraded case where it breaks. 

so the installed vm was working on 10.10.34.214 but when I cp the vm image to
10.10.34.215 i get these errors :( 

 
Comment 5 Stephen Tweedie 2006-03-13 17:27:01 EST
What serial console problems are you having? 

And again, are you seeing SELinux AVC errors?  Where is the vm file, and what
does the xen config file look like?  There's really not much info here to go on
yet, the more you can give, the better!  Thanks.
Comment 6 Stephen Tweedie 2006-03-13 17:58:18 EST
Tracked it down to an install of upstream xen stuffing files in /usr/lib/python
that over-rode our own xen pygrub packages.  Fixed by removing the offending
non-rpm files.

Note You need to log in before you can comment on or make changes to this bug.